At Therap, we take the protection of our customers’ data very seriously. We are constantly monitoring best practices and the most up to date technology to protect your data. In order to meet the highest security standards and top of the line encryption, Therap will disable TLS 1.0/1.1. These versions are no longer considered part of a strong cryptographic infrastructure and Therap will join other service providers in making this transition.

This change will take place on 6/30/18.

New security vulnerabilities emerge on a daily basis, impacting protocols and configurations that were previously considered to be secure. In response, guidelines and best practices evolve to ensure the ongoing protection of critical assets. The ever-changing state of the web and its security explains why TLS 1.0/1.1 are being retired and replaced with TLS 1.2.

As most browsers have supported TLS 1.2 for the last few years, it is unlikely that users will be affected by this change. However, any browsers that do not support TLS 1.2 will need to be updated. This change is necessary to improve security for our users. Users can test their browser by going to beta.therapservices.net.

All browsers supported by Therap and mobile devices using Android 5.0 and iOS 9+ and above already support TLS 1.2. Please reference the link below for minimum requirements to use Therap:
https://help.therapservices.net/app/answers/detail/a_id/1618

Other systems that may not be compatible with this change include older thin clients and kiosk software. Please check with your supplier that they are compliant with TLS 1.2 or above.

We appreciate your business and strive to provide the best, most secure system we can. Thank you for your assistance to make this transition seamless. Please reach out with any questions to Contact Support

Thank you,
The Therap Team